Bug 604682 - fwbackups does not execute before command before starting backup
fwbackups does not execute before command before starting backup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 09:44 EDT by Paul Knuth
Modified: 2010-07-22 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: fwbackups-1.43.3-0.9.rc5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 22:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Knuth 2010-06-16 09:44:43 EDT
Description of problem:
I have a script that mounts a folder on a remote machine before the backup.  fwbackups is creating a directory in the mount point before the script to mount the remote directory is executed, causing the mount to fail.

Jun 16 07:25:12 :: DEBUG : Created destination folder `/home/XXXX/windows_share/linux_backup'
Jun 16 07:25:12 :: INFO : Executing 'Before' command

Please modify execution order to execute before command before any operations are executed.


Version-Release number of selected component (if applicable):
1.43.3rc4


Steps to Reproduce:
1. Create a backup set
2. Set destination to a folder underneath a mount point
3. Create a script that mounts the mount point specified in step two
4. Set script to the Command to run before backup: field on Options(Advanced)
5. Click Backup Set now button
6. Observe problem behavior.

Actual results:
Destination folder is created before command to run before backup is executed.

Expected results:
command to run before backup is executed before destination folder is created.
Comment 1 Stewart Adam 2010-06-16 12:42:13 EDT
Thanks for reporting this, you're right that the execution order doesn't make any sense!
Comment 2 Fedora Update System 2010-07-01 20:39:58 EDT
fwbackups-1.43.3-0.9.rc5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13
Comment 3 Fedora Update System 2010-07-02 02:00:44 EDT
fwbackups-1.43.3-0.9.rc5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc12
Comment 4 Fedora Update System 2010-07-05 18:07:40 EDT
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.9.rc5.fc13
Comment 5 Fedora Update System 2010-07-22 22:28:04 EDT
fwbackups-1.43.3-0.9.rc5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-07-22 22:34:19 EDT
fwbackups-1.43.3-0.9.rc5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.